## 2.0.0

### Breaking changes
* switch to postgresql

### New features

#### Big
* custom theme support
* * theme store
* * the standalone theme store component
* * css editor with syntax highlighting (codemirror 6)
* * theme import
* * theme export
* translation support
* language settings in admin panel

#### Moderate
* emoji picker
* loading more questions as you scroll instead of loading them all at once
* new compact question card layout as an option

#### Small
* option to add a username before date in the question box

### Fixes
* fixed a minor styling issue on 'view question' page

### Miscellaneous
* gif emojis are now supported
* code cleanup
* type annotations and return types in functions
* emoji pack names aren't automatically capitalized anymore (this doesn't apply to packs uploaded before the update)
* revamped 'add question' box
* better tooltip styling
* better footer with more links

## 1.7.2

### Fixes
* pinned questions were not appearing on top

## 1.7.1

### New features

* ntfy support

### Fixes

* fixed markdown escaping

### Miscellaneous

* custom error templates
* prettier admin pages ui
* some templates were simplified to make DOM size smaller
* some style fixes

## 1.7.0

### New features

* import/export of catask data
* captcha support for spam prevention: recaptcha v2, cloudflare turnstile, and friendly captcha
* more customization
* initial PWA support
* ability to see all emojis in a pack from the admin panel
* unread questions indicator

### Accessibility

* support for Atkinson Hyperlegible font (**Admin -> Accessibility -> Font**)
* [UserWay](https://userway.org) support (**Admin -> Accessibility -> UserWay**)
* other accessibility improvements

### Fixes

* emojis with camelCase names (e.g. floofHappy) now render correctly
* various layout fixes for wide and narrow screens
* share to fediverse button in single question view now works
* various other fixes
* replaced some debug `print()` statements with `app.logger.debug()` statements to not spam production console

### Miscellaneous

* improved modal ui
* more of the logic is now handled in API routes
* checkboxes in admin panel are now styled like switches
* removed some unused code

## 1.6.1

### Fixes

* emojis settings in admin panel causing a server error

## 1.6.0

### New features
* custom emojis & emoji packs
* optional retrospring layout for people migrating from it
* content warnings
* overhaul of admin panel ui

### Security
* logout route now only accepts `POST` requests to (partially) prevent CSRF attacks

### Fixes
* "return to inbox" option no longer triggers a notification twice

### Regressions
* there is no preview in the admin panel anymore because it doesn't fit anymore

### Miscellaneous
* internal overhaul of page templates
* added some debug logging (only visible if you run a development server like `flask run`)  

there is probably more that i forgot but it's 11 pm rn and i can't be bothered with that

## 1.5.6

### Fixes
* fix config file having extra data due to a request sending twice

## 1.5.5

### Fixes
* convert trim value to int
* update default config

## 1.5.4

### Fixes
* lists and horizontal rules not rendering

## 1.5.3

### Fixes
* custom buttons not displaying correctly

## 1.5.2

### Fixes
* urgent fix of html escaping

## 1.5.1

### Fixes
* fix some fields not updating in admin panel

## 1.5.0

### New features
* customization of accent colors
* ability to change navbar link style (either underline or pills)
* you can now make buttons using modified markdown (syntax: `[btn]text[/btn]`)
* you can now customize maximum length of content before it gets trimmed (used in sharing options); set to 0 to disable
* ability to change the icon to your own
* ability to toggle preview in admin panel
* install script to easily install CatAsk (WARNING: VERY BUGGY, **DO NOT USE YET**)

### Security
* resolved a vulnerability where some api routes didn't require logged in session

### Fixes
* improved accessibility
* blacklist now should check if any of the words are blacklisted instead of just the first one

### Regressions
* removed ctrl-enter shortcut from instance settings in admin panel due to a bug regarding shortcuts and event listeners

### Miscellaneous
* changed metadata image to instance's favicon
* improved styling
* code cleanup
* readme improvements

## 1.4.4

### Fixes
* don't show rules box if there aren't any rules

## 1.4.3

### Fixes
* fixed tab title being incomplete
* fixed rules block not updating live in admin panel

## 1.4.2

### Fixes
* add `rules` to `instance` in config.example.json

## 1.4.1

### Fixes
* fixed commit message

## 1.4.0

### New features
* alerts show up as notifications in top-right corner of the screen
* ability to set rules
* live preview of some options in admin panel
* remaining character count under the question input box
* added alerts for "copy link" and "copy to clipboard" actions
* ctrl-enter shortcut to answer question, the same shortcut is used to save changes in admin panel
* live unyanswered question count in inbox
* option to disable confirmation when deleting questions from inbox
* instance description now supports markdown

### Fixes
* improved accessibility of some elements
* emoji support by switching to utf8mb4 charset

### Miscellaneous
* code cleanup

### Known bugs
* notification for "return to inbox" option triggers twice (visual bug)
